Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2072513 - [abrt] gnome-connections: frdp_session_configure_event(): gnome-connections killed by SIGSEGV
Summary: [abrt] gnome-connections: frdp_session_configure_event(): gnome-connections k...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-connections
Version: 36
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felipe Borges
QA Contact:
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b46fcac2f70fc0b46d2c52a42e6...
Depends On:
Blocks: F36FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2022-04-06 13:00 UTC by Kamil Páral
Modified: 2022-04-13 09:04 UTC (History)
4 users (show)

Fixed In Version: gnome-connections-42.1.1-1.fc36 gnome-connections-42.1.2-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-11 03:33:39 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2022-04-06 13:00 UTC, Kamil Páral
no flags Details
File: core_backtrace (deleted)
2022-04-06 13:00 UTC, Kamil Páral
no flags Details
File: cpuinfo (deleted)
2022-04-06 13:00 UTC, Kamil Páral
no flags Details
File: dso_list (deleted)
2022-04-06 13:00 UTC, Kamil Páral
no flags Details
File: environ (deleted)
2022-04-06 13:00 UTC, Kamil Páral
no flags Details
File: exploitable (deleted)
2022-04-06 13:00 UTC, Kamil Páral
no flags Details
File: limits (deleted)
2022-04-06 13:00 UTC, Kamil Páral
no flags Details
File: maps (deleted)
2022-04-06 13:00 UTC, Kamil Páral
no flags Details
File: mountinfo (deleted)
2022-04-06 13:00 UTC, Kamil Páral
no flags Details
File: open_fds (deleted)
2022-04-06 13:00 UTC, Kamil Páral
no flags Details
File: proc_pid_status (deleted)
2022-04-06 13:00 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2022-04-06 13:00:20 UTC
Description of problem:
This crash happens when I connect to server A, then server B, and then again server A (all over RDP). Can be reproduced 100%.

Version-Release number of selected component:
gnome-connections-42.1-1.fc36

Additional info:
reporter:       libreport-2.17.1
backtrace_rating: 3
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-org.gnome.Terminal.slice/vte-spawn-842ea91f-6bea-47f1-b0ed-cb141f177f4e.scope
cmdline:        gnome-connections
crash_function: frdp_session_configure_event
executable:     /usr/bin/gnome-connections
journald_cursor: s=8b6ba1c691284e9fb128272f86372632;i=21cf6;b=112eeb9ed1ed40fe99a28889be550ca5;m=a97bc203;t=5dbfbcd40b940;x=5e0acbd61559fe90
kernel:         5.17.1-300.fc36.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 frdp_session_configure_event
 #1 _gtk_marshal_BOOLEAN__BOXED at gtk/gtkmarshalers.c:84
 #3 signal_emit_unlocked_R.isra.0 at ../gobject/gsignal.c:3743
 #6 gtk_widget_event_internal.part.0.lto_priv.0 at ../gtk/gtkwidget.c:7812
 #7 gtk_drawing_area_send_configure at ../gtk/gtkdrawingarea.c:264
 #8 gtk_drawing_area_realize at ../gtk/gtkdrawingarea.c:224
 #9 _g_closure_invoke_va at ../gobject/gclosure.c:893
 #12 gtk_widget_realize at ../gtk/gtkwidget.c:5523
 #13 gtk_widget_set_parent at ../gtk/gtkwidget.c:9663
 #14 gtk_bin_add at ../gtk/gtkbin.c:135

Comment 1 Kamil Páral 2022-04-06 13:00:24 UTC
Created attachment 1871060 [details]
File: backtrace

Comment 2 Kamil Páral 2022-04-06 13:00:26 UTC
Created attachment 1871061 [details]
File: core_backtrace

Comment 3 Kamil Páral 2022-04-06 13:00:28 UTC
Created attachment 1871062 [details]
File: cpuinfo

Comment 4 Kamil Páral 2022-04-06 13:00:30 UTC
Created attachment 1871063 [details]
File: dso_list

Comment 5 Kamil Páral 2022-04-06 13:00:31 UTC
Created attachment 1871064 [details]
File: environ

Comment 6 Kamil Páral 2022-04-06 13:00:33 UTC
Created attachment 1871065 [details]
File: exploitable

Comment 7 Kamil Páral 2022-04-06 13:00:34 UTC
Created attachment 1871066 [details]
File: limits

Comment 8 Kamil Páral 2022-04-06 13:00:36 UTC
Created attachment 1871067 [details]
File: maps

Comment 9 Kamil Páral 2022-04-06 13:00:38 UTC
Created attachment 1871068 [details]
File: mountinfo

Comment 10 Kamil Páral 2022-04-06 13:00:39 UTC
Created attachment 1871069 [details]
File: open_fds

Comment 11 Kamil Páral 2022-04-06 13:00:40 UTC
Created attachment 1871070 [details]
File: proc_pid_status

Comment 12 Kamil Páral 2022-04-06 13:05:18 UTC
Steps to Reproduce:
1. start gnome-connections
2. connect to a remote desktop A (localhost is sufficient) using RDP. (An RDP server can be easily started in GNOME Settings -> Sharing).
3. stop the connection using the quit button in top right
4. connect to a remote desktop B using RDP. (This can be a different server, or it can be the same URL as for server A, but you have to add it as a new *separate entry* using the + button).
5. stop the connection using the quit button in top right
6. connect again to remote desktop A using its existing entry in gnome-connections (i.e. don't use the + button)
7. crash

Comment 13 Kamil Páral 2022-04-06 13:06:35 UTC
Proposing for a blocker consideration. Is connecting to server A -> B -> A a basic functionality of a remote desktop viewer?

https://fedoraproject.org/wiki/Fedora_36_Final_Release_Criteria#Default_application_functionality

Comment 14 Felipe Borges 2022-04-06 14:10:01 UTC
This should be fixed by commit https://gitlab.gnome.org/GNOME/gtk-frdp/-/commit/8567157f51aaaf928d6048d28aecf3a404672357

Comment 16 Fedora Update System 2022-04-07 13:27:28 UTC
FEDORA-2022-4f7e9dc2fb has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-4f7e9dc2fb

Comment 17 Kamil Páral 2022-04-07 17:30:29 UTC
(In reply to Fedora Update System from comment #16)
> FEDORA-2022-4f7e9dc2fb has been submitted as an update to Fedora 36.
> https://bodhi.fedoraproject.org/updates/FEDORA-2022-4f7e9dc2fb

This is now fixed, thanks.

Comment 18 Fedora Update System 2022-04-07 18:02:03 UTC
FEDORA-2022-4f7e9dc2fb has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-4f7e9dc2fb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-4f7e9dc2fb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 František Zatloukal 2022-04-09 11:54:20 UTC
Discussed in ticket: https://pagure.io/fedora-qa/blocker-review/issue/724

The decision to classify this bug as an AcceptedBlocker was made:

"This violates the Default application functionality release criterion as it significantly hampers user experience with an application (GNOME Connections) that is part of the default application set for Fedora Workstation deliverable."

Comment 20 Fedora Update System 2022-04-11 03:33:39 UTC
FEDORA-2022-4f7e9dc2fb has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2022-04-13 09:04:27 UTC
FEDORA-2022-13ed0f323e has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-13ed0f323e

Comment 22 Fedora Update System 2022-04-13 09:04:56 UTC
FEDORA-2022-13ed0f323e has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.